import { __awaiter, __generator } from "tslib";
import client from "../client";
import ADD_EVEMT from "../graphql/addEvent";
import getVisitorId from "../refactor";
import { deviceIsLimitedAdTracking, resolution } from "./defaultData";
// window.localStorage.setItem("lastScrollTop", "0");
var lastScrollTop = 0;
var lastScrollPercentRounded = 0;
var detectThreshHold = function (scrollPercent) {
    if (scrollPercent === 25) {
        // console.log("downscroll:", scrollPercent)
        return 25;
    }
    if (scrollPercent === 50) {
        // console.log("downscroll:", scrollPercent)
        return 50;
    }
    if (scrollPercent === 75) {
        // console.log("downscroll:", scrollPercent)
        return 75;
    }
    if (scrollPercent === 99) {
        // console.log("downscroll:", scrollPercent)
        return 100;
    }
    return 0;
};
export function detectScroll(projectId) {
    return __awaiter(this, void 0, void 0, function () {
        var visitorId, sessionID;
        var _this = this;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0: return [4 /*yield*/, getVisitorId()];
                case 1:
                    visitorId = _a.sent();
                    sessionID = window.localStorage.getItem("sessionID");
                    window.addEventListener(("scroll"), function (e) { return __awaiter(_this, void 0, void 0, function () {
                        var scrollTop, docHeight, winHeight, scrollPercent, scrollPercentRounded, scroll_percentage, event_value, response;
                        return __generator(this, function (_a) {
                            scrollTop = window.pageYOffset;
                            docHeight = document.body.scrollHeight;
                            winHeight = window.innerHeight;
                            scrollPercent = (scrollTop) / (docHeight - winHeight);
                            scrollPercentRounded = Math.round(scrollPercent * 100);
                            // console.log("scrollTop:", scrollTop)
                            // console.log("lastScrollTop:", lastScrollTop)
                            if ((scrollPercentRounded > lastScrollPercentRounded)) {
                                scroll_percentage = detectThreshHold(lastScrollPercentRounded);
                                if (scroll_percentage === 25 || scroll_percentage === 50 || scroll_percentage === 75 || scroll_percentage === 100) {
                                    console.log("event scroll", scroll_percentage);
                                    event_value = {
                                        page_title: document.title,
                                        page_location: window.location.pathname,
                                        scroll_percentage: scroll_percentage
                                    };
                                    response = client.mutate({
                                        mutation: ADD_EVEMT,
                                        variables: {
                                            eventDate: Date.now(),
                                            eventName: "scroll",
                                            eventValue: event_value,
                                            userId: visitorId,
                                            deviceIsLimitedAdTracking: deviceIsLimitedAdTracking,
                                            deviceLanguage: window.navigator.language,
                                            sessionId: sessionID,
                                            referrer: document.referrer,
                                            projectId: projectId,
                                            deviceResolution: resolution,
                                            userAgent: window.navigator.userAgent
                                        },
                                    });
                                    // console.log("Scroll event res: ", response);
                                }
                            }
                            else {
                                // console.log("upscroll :", scrollPercentRounded)
                            }
                            lastScrollTop = scrollTop <= 0 ? 0 : scrollTop;
                            lastScrollPercentRounded = scrollPercentRounded;
                            return [2 /*return*/];
                        });
                    }); });
                    return [2 /*return*/];
            }
        });
    });
}
