/**
 * @see https://developer.mozilla.org/en-US/docs/Web/CSS/@media/prefers-reduced-motion
 */
export default function isMotionReduced() {
    if (doesMatch('reduce')) {
        return true;
    }
    if (doesMatch('no-preference')) {
        return false;
    }
    return undefined;
}
function doesMatch(value) {
    return matchMedia("(prefers-reduced-motion: " + value + ")").matches;
}
