type IPAPI = {
  status: string;
  message: string;
  continent: string;
  continentCode: string;
  country: string;
  countryCode: string;
  region: string;
  regionName: string;
  city: string;
  district: string;
  zip: number;
  lat: number;
  lon: string;
  timezone: string;
  offset: number;
  currency: string;
  isp: string;
  org: string;
  as: string;
  asname: string;
  reverse: string;
  mobile: boolean;
  proxy: boolean;
  hosting: boolean;
  query: string;
};

const getGeoInfo = async (ip: string): Promise<IPAPI> => {
  var endpoint = `http://ip-api.com/json/${ip}`;

  var xhr = new XMLHttpRequest();
  let response = {} as IPAPI;
  xhr.onreadystatechange = function () {
    if (this.readyState == 4 && this.status == 200) {
      var response = JSON.parse(this.responseText);
      console.log(response);
      if (response.status !== "success") {
        console.log("query failed: " + response.message);
        return;
      }
      // Redirect
    }
  };
  xhr.open("GET", endpoint, true);
  await xhr.send();
  return response;
};

export default getGeoInfo;
