import client from "../client";
import ADD_EVEMT from "../graphql/addEvent";
import getVisitorId from "../refactor";
import {  deviceIsLimitedAdTracking, oneSession, resolution } from "./defaultData";
import sessionStart from "./startSession";


const paegView = async (projectId: number) => {
  //check session
  let sessionID = window.localStorage.getItem("sessionID");

  // new session or first session
  if (
    !sessionID ||
    Date.now() - parseInt(sessionID as string) > oneSession
  ) {
    sessionID = await sessionStart(projectId);
  }

  console.log("sessionID", sessionID);
  const visitorId = await getVisitorId();

  try {
    console.log("Recored pageview");

    const event_value = {
      page_title: document.title,
      page_location: window.location.pathname,
    };

    const response = await client.mutate({
      mutation: ADD_EVEMT,
      variables: {
        eventDate: Date.now(),
        eventName: "page_view",
        eventValue: event_value,
        userId: visitorId,
        deviceIsLimitedAdTracking,
        deviceLanguage: window.navigator.language,
        sessionId: sessionID,
        projectId,
        deviceResolution:resolution,
        userAgent: window.navigator.userAgent
        // referrer: document.referrer
      },
    });
    console.log(response);
  } catch (error) {
    console.log(JSON.stringify(error, Object.getOwnPropertyNames(error)));
  }
};

export default paegView;
