import client from "../client";
import ADD_EVEMT from "../graphql/addEvent";
import getVisitorId from "../refactor";
import { deviceIsLimitedAdTracking, resolution } from "./defaultData";

// window.localStorage.setItem("lastScrollTop", "0");
let lastScrollTop = 0
let lastScrollPercentRounded = 0
const detectThreshHold = (scrollPercent: number): number => {
    if (scrollPercent === 25) {
        // console.log("downscroll:", scrollPercent)
        return 25
    }

    if (scrollPercent === 50) {
        // console.log("downscroll:", scrollPercent)
        return 50
    }

    if (scrollPercent === 75) {
        // console.log("downscroll:", scrollPercent)
        return 75
    }

    if (scrollPercent === 99) {
        // console.log("downscroll:", scrollPercent)
        return 100
    }
    return 0;
}


export async function detectScroll(projectId: number) {
    const visitorId = await getVisitorId();
    let sessionID = window.localStorage.getItem("sessionID");
    window.addEventListener(("scroll"), async (e) => {
        // var scrollTop = document.body.scrollTop;
        let scrollTop = window.pageYOffset;
        let docHeight = document.body.scrollHeight;
        // let winHeight = window.screen.height;
        let winHeight = window.innerHeight;
        let scrollPercent = (scrollTop) / (docHeight - winHeight);
        let scrollPercentRounded = Math.round(scrollPercent * 100);

        // console.log("scrollTop:", scrollTop)
        // console.log("lastScrollTop:", lastScrollTop)

        if ((scrollPercentRounded > lastScrollPercentRounded)) {
            const scroll_percentage = detectThreshHold(lastScrollPercentRounded)
            if (scroll_percentage === 25 || scroll_percentage === 50 || scroll_percentage === 75 || scroll_percentage === 100) {
                console.log("event scroll", scroll_percentage)
                const event_value = {
                    page_title: document.title,
                    page_location: window.location.pathname,
                    scroll_percentage
                };

                const response = client.mutate({
                    mutation: ADD_EVEMT,
                    variables: {
                        eventDate: Date.now(),
                        eventName: "scroll",
                        eventValue: event_value,
                        userId: visitorId,
                        deviceIsLimitedAdTracking,
                        deviceLanguage: window.navigator.language,
                        sessionId: sessionID,
                        referrer: document.referrer,
                        projectId,
                        deviceResolution: resolution,
                        userAgent: window.navigator.userAgent
                    },
                });

                // console.log("Scroll event res: ", response);

            }


        } else {
            // console.log("upscroll :", scrollPercentRounded)

        }
        lastScrollTop = scrollTop <= 0 ? 0 : scrollTop;
        lastScrollPercentRounded = scrollPercentRounded

    })

}