import client from "../client";
import ADD_EVEMT from "../graphql/addEvent";
import getVisitorId from "../refactor";
import { deviceIsLimitedAdTracking, oneSession, resolution } from "./defaultData";

const sessionStart = async (projectId: number) => {
  console.log("Checking new session")

  //check session
  let sessionID = window.localStorage.getItem("sessionID");

  // new session or first session

  if (
    !sessionID ||
    Date.now() - parseInt(sessionID as string) > oneSession
  ) {
    sessionID = Date.now().toString();

    console.log("Started new session:", sessionID)
    window.localStorage.setItem("sessionID", sessionID);

    const visitorId = await getVisitorId();

    try {
      console.log("Recored Session");

      const event_value = {
        page_title: document.title,
        page_location: window.location.pathname,
      };

      const response = await client.mutate({
        mutation: ADD_EVEMT,
        variables: {
          eventDate: Date.now(),
          eventName: "session_start",
          eventValue: event_value,
          userId: visitorId,
          deviceIsLimitedAdTracking,
          deviceLanguage: window.navigator.language,
          sessionId: sessionID,
          referrer: document.referrer,
          projectId,
          deviceResolution: resolution,
          userAgent: window.navigator.userAgent
        },
      });
      console.log(response);
    } catch (error) {
      console.log(JSON.stringify(error, Object.getOwnPropertyNames(error)));
    }
  }
  return sessionID;
};

export default sessionStart;
